Search exhibitors
curl --request POST \
--url https://public-api.sessionboard.com/v1/event/{eventId}/exhibitors \
--header 'Content-Type: application/json' \
--header 'x-access-token: <api-key>' \
--data '
{
"filters": {
"createdAt": {
"before": "2023-11-07T05:31:56Z",
"after": "2023-11-07T05:31:56Z"
},
"updatedAt": {
"before": "2023-11-07T05:31:56Z",
"after": "2023-11-07T05:31:56Z"
}
},
"sort": {},
"expand": []
}
'import requests
url = "https://public-api.sessionboard.com/v1/event/{eventId}/exhibitors"
payload = {
"filters": {
"createdAt": {
"before": "2023-11-07T05:31:56Z",
"after": "2023-11-07T05:31:56Z"
},
"updatedAt": {
"before": "2023-11-07T05:31:56Z",
"after": "2023-11-07T05:31:56Z"
}
},
"sort": {},
"expand": []
}
headers = {
"x-access-token": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-access-token': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
filters: {
createdAt: {before: '2023-11-07T05:31:56Z', after: '2023-11-07T05:31:56Z'},
updatedAt: {before: '2023-11-07T05:31:56Z', after: '2023-11-07T05:31:56Z'}
},
sort: {},
expand: []
})
};
fetch('https://public-api.sessionboard.com/v1/event/{eventId}/exhibitors', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"results": [
{
"id": "<string>",
"friendly_id": "<string>",
"friendly_id_raw": 123,
"name": "<string>",
"description": "<string>",
"logo_image_url": "<string>",
"banner_image_url": "<string>",
"phone": "<string>",
"address_line_1": "<string>",
"address_line_2": "<string>",
"address_city": "<string>",
"address_state": "<string>",
"address_postal_code": "<string>",
"address_coutnry": "<string>",
"facebook_url": "<string>",
"instagram_url": "<string>",
"linkedin_url": "<string>",
"snapchat_username": "<string>",
"tiktok_username": "<string>",
"twitter_url": "<string>",
"website_url": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"custom_fields": [
{
"id": "<string>",
"name": "<string>",
"value": "<string>",
"type": "<string>",
"internal_name": "<string>",
"created_at": "<string>"
}
],
"translated_fields": [
{
"id": "<string>",
"name": "<string>",
"type": "<string>",
"parent_field_id": "<string>",
"parent_field_source": "<string>",
"parent_field_name": "<string>",
"parent_field_internal_name": "<string>",
"translated_language": "<string>",
"value": "<string>"
}
],
"contacts": [
{
"id": "<string>",
"friendly_id": "<string>",
"friendly_id_raw": 123,
"full_name": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"email": "<string>",
"photo_url": "<string>",
"company_name": "<string>",
"title": "<string>",
"about": "<string>",
"is_primary": true,
"contact_created_at": "<string>",
"contact_updated_at": "<string>",
"relationship_created_at": "<string>",
"relationship_updated_at": "<string>"
}
],
"admin_url": "<string>"
}
],
"pagination": {
"currentPage": 123,
"pageSize": 123,
"totalPages": 123,
"totalResults": 123
}
}Event — Exhibitors
Search exhibitors
Search and filter exhibitors within an event.
POST
/
v1
/
event
/
{eventId}
/
exhibitors
Search exhibitors
Authorizations
ApiKeyBearerToken
Organization API token. Generate from Organization Settings → API Tokens.
Path Parameters
The event ID.
Query Parameters
Page number for pagination.
Required range:
1 <= x <= 999Number of results per page.
Required range:
1 <= x <= 100Body
application/json
Common search request body used across multiple endpoints.
Show child attributes
Show child attributes
Sorting options for search results.
Show child attributes
Show child attributes
Expand records with additional data. See the Expand parameter for linked_sources and composition details.
Available options:
translated_fields, subsession_details, linked_sources, composition ⌘I

